/* All Agents scroll , cards and CARD info */

.doubleScroll-scroll-wrapper {
    width: 0px !important;
    overflow: auto !important;
    height: 0px !important;
}

.doubleScroll-scroll {
    width: 8000px !important;
}

/* Apply to profile-cards */
.profile-cards {
    scroll-behavior: unset !important;
}

.profile-cards::-webkit-scrollbar {
    height: 15px;
}

.profile-cards::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.profile-card::-webkit-scrollbar-track {
    background: transparent !important;
}

.scroll-container {
    width: 100%;
    overflow: hidden;
    position: relative;
    padding: 60px 0;
}

.tagline {
    max-height: 40px;
    /* Set your desired maximum height */
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: block;
}

.zoomed-out {
    max-width: 100%;
    height: auto;
}

.profile-cards {
    padding: 0 20px;
    display: flex;
    overflow: hidden;
    scroll-behavior: smooth;
    flex: none;
    /* background: #fff; */
    border-radius: 10px;
    /* box-shadow: 0 8px 8px rgba(0, 0, 0, 0.5); */
    transition: transform 0.3s ease-in-out, box-shadow 0.5s ease-in-out;
    position: relative;
}

.profile-card {
    flex: none;
    width: 220px !important;
    margin: 0 10px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.5s ease-in-out;
    position: relative;
}

.profile-card img {
    width: 100%;
    height: 275px;
    object-fit: cover;
    border-radius: 10px;
    transition: opacity 0.5s ease-in-out;
}

.card-info {
    padding: 10px;
    background: #353639;
    position: absolute;
    opacity: 0.8;
    width: 100%;
    bottom: 0;
    left: 0;
    border-radius: 0 0 10px 10px;
    transition: background-color 0.5s ease-in-out;
}

.card-info p {
    margin: 0;
    color: white;
    font-weight: bold;
}

.card-info .tagline {
    display: block;
    color: white;
    font-size: 0.8em;
    margin-top: 5px;
}

.profile-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.2);
}

.profile-card:hover img {
    opacity: 0.9;
}

.profile-card:hover .card-info {
    background-color: rgba(245, 158, 11, 0.85);
}

.scroll-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    /* background-color: #ffffff; */
    border: none;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    z-index: 10;
    transition: background-color 0.3s ease-in-out;
}

.scroll-button.left {
    left: 10px;
}

.scroll-button.right {
    right: 10px;
}

.scroll-button:hover {
    background-color: #e4e4e4;
}
